Bug 20559 - Occurrences of loading-small.gif still exist
Summary: Occurrences of loading-small.gif still exist
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 16072
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-10 20:38 UTC by Jonathan Druart
Modified: 2019-10-14 19:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20559: Occurrences of loading-small.gif still exist (2.70 KB, patch)
2018-06-25 15:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20559: Compiled CSS (89.18 KB, patch)
2018-06-25 15:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20559: Occurrences of loading-small.gif still exist (2.76 KB, patch)
2018-06-27 15:59 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20559: Compiled CSS (89.24 KB, patch)
2018-06-27 15:59 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20559: Occurrences of loading-small.gif still exist (2.84 KB, patch)
2018-06-28 13:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20559: Compiled CSS (89.32 KB, patch)
2018-06-28 13:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-04-10 20:38:13 UTC
Bug 16072 removes it but there are some left:

git grep -l loading-small.gif
koha-tmpl/intranet-tmpl/prog/en/modules/tools/batch_record_modification.tt
koha-tmpl/opac-tmpl/bootstrap/css/opac.css
koha-tmpl/opac-tmpl/bootstrap/less/opac.less

at least the tools template is relevant
Comment 1 Owen Leonard 2018-06-25 15:03:46 UTC
Created attachment 76385 [details] [review]
Bug 20559: Occurrences of loading-small.gif still exist

This patch removes some leftover references to a file which no longer
exists. In the OPAC, loading-small.gif was included in CSS which was
never used. In the staff client, loading-small.gif should have been
corrected to spinner-small.gif.

To test, apply the patch and go to Tools -> Batch record modification.

 - Submit a batch of records to modify
 - In the table of titles which will be modified, click the 'Show MARC'
   button.
   - The modal preview window should show "Loading" and an animated
     spinner before the MARC record is loaded.
Comment 2 Owen Leonard 2018-06-25 15:03:49 UTC
Created attachment 76386 [details] [review]
Bug 20559: Compiled CSS

This patch contains the compiled OPAC CSS.
Comment 3 Josef Moravec 2018-06-27 15:59:38 UTC
Created attachment 76528 [details] [review]
Bug 20559: Occurrences of loading-small.gif still exist

This patch removes some leftover references to a file which no longer
exists. In the OPAC, loading-small.gif was included in CSS which was
never used. In the staff client, loading-small.gif should have been
corrected to spinner-small.gif.

To test, apply the patch and go to Tools -> Batch record modification.

 - Submit a batch of records to modify
 - In the table of titles which will be modified, click the 'Show MARC'
   button.
   - The modal preview window should show "Loading" and an animated
     spinner before the MARC record is loaded.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2018-06-27 15:59:42 UTC
Created attachment 76529 [details] [review]
Bug 20559: Compiled CSS

This patch contains the compiled OPAC CSS.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2018-06-28 13:21:01 UTC
Created attachment 76543 [details] [review]
Bug 20559: Occurrences of loading-small.gif still exist

This patch removes some leftover references to a file which no longer
exists. In the OPAC, loading-small.gif was included in CSS which was
never used. In the staff client, loading-small.gif should have been
corrected to spinner-small.gif.

To test, apply the patch and go to Tools -> Batch record modification.

 - Submit a batch of records to modify
 - In the table of titles which will be modified, click the 'Show MARC'
   button.
   - The modal preview window should show "Loading" and an animated
     spinner before the MARC record is loaded.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2018-06-28 13:21:05 UTC
Created attachment 76544 [details] [review]
Bug 20559: Compiled CSS

This patch contains the compiled OPAC CSS.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Nick Clemens 2018-07-02 13:15:19 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-07-02 17:01:45 UTC
Pushed to 18.05.x for 18.05.02
Comment 9 Fridolin Somers 2018-07-04 14:14:03 UTC
Patch "Compiled CSS" does not apply on 17.11.x.
Sorry I have never used this compilation.
Must I run it or do we not back-port such patches ?
Comment 10 Jonathan Druart 2018-07-04 16:21:24 UTC
(In reply to Fridolin SOMERS from comment #9)
> Patch "Compiled CSS" does not apply on 17.11.x.

You should only apply the first one then regenerate the .css

> Sorry I have never used this compilation.

There is a wiki page, search for "lessc"

> Must I run it or do we not back-port such patches ?

You are the Rmaint ;)
IMO it's "just" a loading icon, not really important.
Comment 11 Fridolin Somers 2018-07-09 12:11:19 UTC
(In reply to Jonathan Druart from comment #10)
> (In reply to Fridolin SOMERS from comment #9)
> > Patch "Compiled CSS" does not apply on 17.11.x.
> 
> You should only apply the first one then regenerate the .css
> 
> > Sorry I have never used this compilation.
> 
> There is a wiki page, search for "lessc"
> 
> > Must I run it or do we not back-port such patches ?
> 
> You are the Rmaint ;)
> IMO it's "just" a loading icon, not really important.

Ok thanks a lot.

I prefer to skip this time since its minor.
Not pushed to 17.11.x